#include "FileExistsDlg.h"
#include <qlayout.h>
#include <qradiobutton.h>
#include <qlineedit.h>
#include <qhbox.h>
#include <qlabel.h>
#include <qfileinfo.h>
#include <qpushbutton.h>
#include <qvbuttongroup.h>
#include <qinputdialog.h>

#include <iostream>
using namespace std;

FileExistsDlg::FileExistsDlg(const QFileInfo& local, int remoteSize, QWidget *parent,const char *name) : QDialog(parent,name)
{
    setCaption("dc-qt: File exists");
    QGridLayout *grid = new QGridLayout(this,5,1);
    fileName = local.fileName();
    QLabel *msgLbl = new QLabel("The following file already exists in your download directory:\n\n" + local.fileName() + 
				"\n\nLocal size: " 
				+ QString::number(local.size()) + "\nRemote size: " + QString::number(remoteSize),this,"fislbl");

    btnGrp = new QVButtonGroup("Do this",this,"bajja");

    rbtn[0] = new QRadioButton("Overwrite",btnGrp,"mu1");
    rbtn[1] = new QRadioButton("Rename",btnGrp,"mu2");
    rbtn[2] = new QRadioButton("Skip",btnGrp,"mu3");
    QPushButton *okBtn = new QPushButton("Hit me",this,"commitbtn");
    btnGrp->setButton(0);
    grid->addWidget(msgLbl,0,0);
    grid->addWidget(btnGrp,1,0);
    grid->addWidget(okBtn,4,0);

    connect(okBtn,SIGNAL(clicked()), this, SLOT(closeDlg()));
}

void FileExistsDlg::closeDlg()
{
    // If the rename button was selected, input a new name
    int id = btnGrp->id( btnGrp->selected() );
    action = id;
    if(id==1)
    {
	bool ok;
	newName = QInputDialog::getText("Rename file","Enter a new file name:",QLineEdit::Normal,fileName,&ok,this);
	if( !ok || newName.isEmpty() )
	{
	    return;
	}
    }

    setResult( Accepted );
    accept();
}
