#ifndef CONNECT_DLG_H
#define CONNECT_DLG_H

#include "dc_hub.h"

#include <qdialog.h>
#include <vector>

class QListView;
class QPushButton;
//class QGridLayout;
class QVBoxLayout;
class QListBox;
class QTabWidget;
class QListViewItem;
class QPopupMenu;
class QLineEdit;
class QComboBox;
class QProgressBar;
class QTimer;
class QTable;

class hub_lv_item;

class ConnectDlg : public QDialog
{
	Q_OBJECT

public:
	ConnectDlg(dc_hub *h, QWidget *p = 0, const char *name = 0, bool modal = false);
	~ConnectDlg();

	const hub_info selected_hub();
	const QString& selected_profile();
	bool selected_running();

protected:
	virtual void closeEvent(QCloseEvent * e);

private slots:
	void refresh_listing();
	void addFavourite();
	void editFavourite();
	void removeFavourite();
	void menu_clicked(int);
	void show_menu(QListViewItem*,const QPoint&,int);
	void update_hublist();
	void updateProgress();
	void filter(/*const QString&*/);
	void updateFavourite(int,int);
private:
	void add_hubs_to_list(vector<hub_lv_item*> &l, QListView* lv, const vector<hub_info*> &h);
	void clear_list(vector<hub_lv_item*> &l);
private:
	QListView *lv_hubs, *run_lv;
	QPushButton *pb_ok;
	QPushButton *pb_cancel;
	QPushButton *refreshBtn;

	//QPushButton *pb_get_hubs;
	//QGridLayout *gl_layout;
	QVBoxLayout *gl_layout;
	//	QListView *favList;
	QTable *favList;
	QTabWidget *tab;
	QListViewItem *last_clicked;
	QPopupMenu *menu;
	QLineEdit *quickConnectEdit;
	QComboBox *hubListSelector;
	QProgressBar *hublistProgress;
	QLineEdit *hubFilterEdit;
	QComboBox *filterCombo;

	vector<hub_lv_item*> public_lv_items, running_lv_items;
	QTimer *hubListTimer;
	vector<hub_info*> public_hubs, running_hubs;

	dc_hub *hubs;
	QString currentProfile;
	QComboBox *cnxProfile;
};

#endif
