
#ifndef _FILE_TREE_ITEM_H_
#define _FILE_TREE_ITEM_H_

#include <qlistview.h>
#include "util.h"

class FileTreeItem : public QListViewItem
{

public:
     FileTreeItem( const QString& user, const QString& path,
		   QListView* parent, 
		   QString fileName = QString::null, 
		   QString aSize = QString::null ) 
	  : QListViewItem( parent, fileName, aSize )
	  {
	       userName = user;
	       filePath = path;
	       size = aSize.toInt();
	  }

     FileTreeItem( const QString& user, const QString& path,
		   QListViewItem* parent,
		   QString fileName = QString::null,
		   QString aSize = QString::null )
	  : QListViewItem( parent, fileName, bytes_to_units(aSize) )
	  {
	       userName = user;
	       filePath = path;
	       size = aSize.toInt();
	  }

     QString getUserName() { return userName; }
     QString getPath() { return filePath; }
     int Size() { return size; }

private:
     QString userName;
     QString filePath;
int size;

};

#endif

/*
 *
 * $Log: filetreeitem.h,v $
 * Revision 1.2  2003/12/11 22:11:27  olof
 * some fixes
 *
 * Revision 1.1.1.1  2003/06/24 10:16:18  olof
 * remake of cvs tree
 *
 * Revision 1.3  2003/06/16 12:18:12  olof
 * loads
 *
 * Revision 1.2  2003/06/11 22:14:21  olof
 * transfers ok again
 *
 * Revision 1.1  2003/03/16 21:00:48  mickeg
 * Added functionality for the tree view of the search results
 * Still some bugs
 * Doesn't iterate through the children accurately
 *
 *
 */
