/*
  Copyright 2003 Rikard Bjrklind, Mikael Gransell, Arsenij Vodjanov

  This file is part of dc-qt.

  dc-qt is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  dc-qt is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with dc-qt; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// plashscreen is pretty useless.
#define _NO_SPLASHSCREEN

#include <qapplication.h>
#include "mainwdgt.h"

#ifndef _NO_SPLASHSCREEN
#include <unistd.h>
#include <qtimer.h>
#include <qsplashscreen.h>
#include "icons/dcqt_splash.xpm"
#endif

// DISABLE_PREVIEW is defined (or not defined) in the configure script.
#ifndef DISABLE_PREVIEW
#include <X11/Xlib.h>
#include <iostream>
#endif

int main( int argc, char** argv )
{
  
#ifndef DISABLE_PREVIEW
  if (XInitThreads()==0) {
    std::cerr << "XInitThreads() failed: risk that video thread will go out of sync!\n";
  }
#endif

  QApplication app( argc, argv );

#ifndef _NO_SPLASHSCREEN  
  QSplashScreen *splash = new QSplashScreen( QPixmap( (const char**)dcqt_splash_xpm ) );
  splash->show();
#endif

  MainWdgt mainWdgt;
  app.setMainWidget( &mainWdgt );
  
  mainWdgt.show();

#ifndef _NO_SPLASHSCREEN
  QTimer::singleShot(2000, splash, SLOT(close()));
//  splash->finish( &mainWdgt );
//  delete splash;
#endif

  return app.exec();
}

