/*
  Copyright 2003 Rikard Bjrklind, Mikael Gransell

  This file is part of dc-qt.

  dc-qt is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  dc-qt is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with dc-qt; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "pixmaps.h"

#include "icons/folder.xpm"
#include "icons/image.xpm"
#include "icons/mp3.xpm"
#include "icons/tar.xpm"
#include "icons/unknown.xpm"
#include "icons/user.xpm"
#include "icons/video.xpm"
#include "icons/back.xpm"
#include "icons/forward.xpm"
#include "icons/home.xpm"

#include "icons/closetab.xpm"

// application icon
#include "icons/dcqt_icon16x16.xpm"

/* standard toolbar icons */
#include "icons/new.xpm"
#include "icons/close.xpm"
#include "icons/reshare.xpm"
#include "icons/search.xpm"
#include "icons/miniicon.xpm"
#include "icons/connect.xpm"
#include "icons/disconnect.xpm"
#include "icons/configure.xpm"
#include "icons/exit.xpm"

/* estrato's icons (a different theme =)) */
#include "icons/ihq_newhub.xpm"
#include "icons/ihq_closehub.xpm"
#include "icons/ihq_refresh.xpm"
#include "icons/ihq_search.xpm"
#include "icons/ihq_iconmode.xpm"
#include "icons/ihq_connect.xpm"
#include "icons/ihq_disconnect.xpm"
#include "icons/ihq_preferences.xpm"
#include "icons/ihq_exit.xpm"

/* icon mode pixmaps */
#include "icons/minimode.xpm"
#include "icons/minimode_alpha.xpm"
#include "icons/minimode_ul.xpm"
#include "icons/minimode_on.xpm"
#include "icons/minimode_dl.xpm"
#include "icons/minimode_full.xpm"

/* video/audio preview pixmaps */
#include "icons/preview.xpm"
#include "icons/play.xpm"
#include "icons/pause.xpm"
#include "icons/stop.xpm"
#include "icons/ffwd.xpm"
#include "icons/rwnd.xpm"
#include "icons/prev.xpm"
#include "icons/next.xpm"
#include "icons/open.xpm"
#include "icons/volume.xpm"
#include "icons/fullscreen.xpm"

/* profile icons */
#include "icons/common_prof.xpm"
#include "icons/default_prof.xpm"
#include "icons/user_prof.xpm"

/* userlist icons */
#include "icons/user_op.xpm"
#include "icons/user_active.xpm"
#include "icons/user_passive.xpm"

Pixmap::Pixmap() {
     folder = QPixmap( (const char**)folder_xpm );
     user = QPixmap( (const char**)user_xpm );
     archive = QPixmap( (const char**)tar_xpm );
     video = QPixmap( (const char**)video_xpm );
     image = QPixmap( (const char**)image_xpm );
     audio = QPixmap( (const char**)mp3_xpm );
     unknown = QPixmap( (const char**)unknown_xpm );
     closetab = QPixmap( (const char**)closetab_xpm );

     back = QPixmap((const char**)back_xpm);
     forward = QPixmap((const char**)forward_xpm);
     home = QPixmap((const char**)home_xpm);

     /* default icon theme */
     newhub = QPixmap((const char**)new_xpm);
     close = QPixmap((const char**)close_xpm);
     reshare = QPixmap((const char**)reshare_xpm);
     search = QPixmap((const char**)search_xpm);
     miniicon = QPixmap((const char**)miniicon_xpm);
     connect = QPixmap((const char**)connect_xpm);
     disconnect = QPixmap((const char**)disconnect_xpm);
     configure = QPixmap((const char**)configure_xpm);
     exit =  QPixmap((const char**)exit_xpm);

     /* ihq theme! */
     ihq_newhub = QPixmap((const char**)ihq_newhub_xpm);
     ihq_close = QPixmap((const char**)ihq_closehub_xpm);
     ihq_reshare = QPixmap((const char**)ihq_refresh_xpm);
     ihq_search = QPixmap((const char**)ihq_search_xpm);
     ihq_miniicon = QPixmap((const char**)ihq_iconmode_xpm);
     ihq_connect = QPixmap((const char**)ihq_connect_xpm);
     ihq_disconnect = QPixmap((const char**)ihq_disconnect_xpm);
     ihq_configure = QPixmap((const char**)ihq_preferences_xpm);
     ihq_exit =  QPixmap((const char**)ihq_exit_xpm);

     /* applic icons and minimode */
     icon = QPixmap((const char**)dcqt_icon16x16_xpm);
     minimode = QPixmap((const char**)minimode_xpm);
     minimode_alpha = QPixmap((const char**)minimode_alpha_xpm);
     minimode_on = QPixmap((const char**)minimode_on_xpm);
     minimode_dl = QPixmap((const char**)minimode_dl_xpm);
     minimode_ul = QPixmap((const char**)minimode_ul_xpm);
     minimode_full = QPixmap((const char**)minimode_full_xpm);

     preview = QPixmap((const char **)preview_xpm);
     play = QPixmap((const char **)play_xpm);
     pause = QPixmap((const char **)pause_xpm);
     stop = QPixmap((const char **)stop_xpm);
     ffwd = QPixmap((const char **)ffwd_xpm);
     rwnd = QPixmap((const char **)rwnd_xpm);

     open = QPixmap((const char **)open_xpm);
     next = QPixmap((const char **)next_xpm);
     prev = QPixmap((const char **)prev_xpm);
     fullscreen = QPixmap((const char **)fullscreen_xpm);
     volume = QPixmap((const char **)volume_xpm);

     common_prof = QPixmap((const char **)common_prof_xpm);
     default_prof = QPixmap((const char **)default_prof_xpm);
     user_prof = QPixmap((const char **)user_prof_xpm);

     user_op = QPixmap((const char **)user_op_xpm);
     user_active = QPixmap((const char **)user_active_xpm);
     user_passive = QPixmap((const char **)user_passive_xpm);
}
