/*
  Copyright 2003 Rikard Bjrklind, Arsenij Vodjanov, Mikael Gransell

  This file is part of dc-qt.

  dc-qt is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  dc-qt is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with dc-qt; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include "user.h"
#include "pixmaps.h"
#include <qpainter.h>


void User::paintCell ( QPainter * p, const QColorGroup & cg, int column, int width, int align ) 
{
  static Pixmap userpix = Pixmap();

  if (column != 0)
    QListViewItem::paintCell( p, cg, column, width, align );
  else {
    
    // Fill cell with background
    p->setBrush(QBrush(isSelected() ? cg.highlight() : cg.base(), Qt::SolidPattern));
    p->setPen(NoPen);
    p->fillRect( 0, 0, width, height(), QBrush(isSelected() ? cg.highlight() : cg.base()) );

    if (width>=16) {
      if (m=='A')
        p->drawPixmap(0,0, userpix.getUserActive());
      else
        p->drawPixmap(0,0, userpix.getUserPassive());
        
      if (op) 
        p->drawPixmap(0,0, userpix.getUserOp());
        
      // print nickname
      if (away)
        p->setPen(QPen(QColor(127,127,127), 1));
      else
        p->setPen(QPen(cg.text(), 1));
        
      p->drawText(16,0, width-16, height(), align, text(column));
    }
  }
}
