#ifndef _UTIL_H
#define _UTIL_H

#include <qstring.h>
#include <qvaluelist.h>

enum
{
	CONNECT_SUCCESS,
	COULD_NOT_CREATE_SOCKET,
	SLEEP_TIMED_OUT,
	COULD_NOT_CONNECT_TO_SOCKET,
	COULD_NOT_CONNECT
};

enum 
{
     DOWNLOAD,
     UPLOAD
};

// File transfer status
enum
{
     STATUS_WAITING,
     STATUS_TRYING,
     STATUS_RUNNING
};

extern QString bytes_to_units(const QString &s);
extern QString bytes_to_units(double sb);
extern double units_to_bytes(const QString &s);
extern QString sec_to_time(float seconds);

extern QString checkFile(const QString& file,int size);

extern QString selectDlDirDlg();


// helper class to handle comma-separated lists of integers
class intlist_setting {
public:
  intlist_setting(QString s=QString::null);
  intlist_setting(QValueList<int> &l);
  virtual ~intlist_setting() {}
  virtual QString toString();
  QValueList<int> intlist;
  int size;
};

// a subclass to intlist_setting, used to store window geometry
class wnd_setting : public intlist_setting {
public:
  bool isValid();
  int x();
  int y();
  int w();
  int h();
  wnd_setting(QString s);
  wnd_setting(int x=-1,int y=-1,int w=0,int h=0);
  virtual ~wnd_setting() {}
};

class QListView;       //proto

// set/get widths of columns in a listview, widths stored in intlist_setting
// intlist_setting has a toString() method, which makes it useful for saving settings
extern bool set_lv_widths(QListView *, const intlist_setting &);
extern void get_lv_widths(const QListView *, intlist_setting *);

#endif
